Bug 249138 - build on ppc64 failed -- AutoGen aborting on signal 11 (Segmentation fault) in state LOAD_TPL
Summary: build on ppc64 failed -- AutoGen aborting on signal 11 (Segmentation fault) i...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: autogen   
(Show other bugs)
Version: rawhide
Hardware: ppc64
OS: Linux
low
low
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64
TreeView+ depends on / blocked
 
Reported: 2007-07-21 12:03 UTC by Matěj Cepl
Modified: 2018-04-11 14:41 UTC (History)
2 users (show)

Fixed In Version: autogen-5.9.4-4.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-24 20:09:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
http://koji.fedoraproject.org/koji/getfile?taskID=72840&name=root.log (9.38 KB, text/plain)
2007-07-21 12:03 UTC, Matěj Cepl
no flags Details
http://koji.fedoraproject.org/koji/getfile?taskID=193684&name=build.log (29.44 KB, text/plain)
2007-10-13 13:54 UTC, Matěj Cepl
no flags Details

Description Matěj Cepl 2007-07-21 12:03:43 UTC
Cannot build anjuta (see
http://koji.fedoraproject.org/koji/taskinfo?taskID=72840, log attached) because
of missing autogen-devel on ppc64.

Comment 2 Mamoru TASAKA 2007-09-17 15:36:48 UTC
Hello, Matej:

As Paul is now "busy", you can try to rebuild on ppc64 if you want
as:
https://www.redhat.com/archives/fedora-devel-list/2007-September/msg01357.html

It seems that cvsextras group members can commit to autogen.

Comment 3 Matěj Cepl 2007-09-17 17:29:23 UTC
koji is hosed currently, so I put NEEDINFO against myself and will try to
investigate it later.

Comment 4 Matěj Cepl 2007-10-13 13:50:34 UTC
Hmm, tried to rebuild and not much luck --
http://koji.fedoraproject.org/koji/getfile?taskID=193684&name=build.log

Comment 5 Matěj Cepl 2007-10-13 13:54:07 UTC
Created attachment 226421 [details]
http://koji.fedoraproject.org/koji/getfile?taskID=193684&name=build.log

just to be sure it doesn't get removed from koji.

Comment 6 Debarshi Ray 2008-02-13 05:15:04 UTC
I am reassigning this bug to myself because I took over autogen from Paul.

The latest stable release -- 5.9.4 -- builds successfully on PPC64:
http://koji.fedoraproject.org/koji/taskinfo?taskID=419598

Review request for fresh new autogen:
https://bugzilla.redhat.com/show_bug.cgi?id=432542

Comment 7 Fedora Update System 2008-02-28 03:01:34 UTC
autogen-5.9.4-4.fc7 has been submitted as an update for Fedora 7

Comment 8 Fedora Update System 2008-02-28 03:02:23 UTC
autogen-5.9.4-4.fc8 has been submitted as an update for Fedora 8

Comment 9 Debarshi Ray 2008-02-28 03:05:47 UTC
A fresh autogen-5.9.4-4 package has been built in Rawhide, and submitted for
updates-testing in F-7 and F-8. Can you see if that solves your problem?

I shall now remove the 'ExcludeArch: ppc64' from Anjuta in the next update.

Comment 10 Fedora Update System 2008-02-28 21:39:00 UTC
autogen-5.9.4-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update autogen'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-2063

Comment 11 Debarshi Ray 2008-03-01 13:42:19 UTC
Please
note that autogen-devel has been renamed to autogen-libopts-devel.

Comment 12 Debarshi Ray 2008-03-01 13:44:23 UTC
Matej, do these builds work for you?
Fedora 7: https://admin.fedoraproject.org/updates/F7/FEDORA-2008-2063
Fedora 8: https://admin.fedoraproject.org/updates/F8/FEDORA-2008-2076


Comment 13 Fedora Update System 2008-03-06 16:35:05 UTC
autogen-5.9.4-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2008-03-06 16:38:28 UTC
autogen-5.9.4-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.